%define upstream_name    Set-Infinite
%define upstream_version 0.65

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Infinite Set Theory module, with Date, Time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildArch: noarch


%description
Set::Infinite is a Set Theory module for infinite sets.

A set is a collection of objects. The objects that belong to a set are
called its members, or "elements".

As objects we allow (almost) anything: reals, integers, and objects (such
as dates).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.650.0-11.mga9
+ Revision: 1805674
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.650.0-10.mga8
+ Revision: 1497177
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.650.0-9.mga7
+ Revision: 1271118
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.650.0-8.mga6
+ Revision: 1033033
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.650.0-7.mga6
+ Revision: 948818
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.650.0-6.mga5
+ Revision: 788441
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.650.0-5.mga5
+ Revision: 739440
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.650.0-4.mga5
+ Revision: 686189
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.650.0-3.mga4
+ Revision: 514599
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.650.0-2.mga3
+ Revision: 372592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.650.0-1.mga1
+ Revision: 28758
- mageia rebuild
- imported package perl-Set-Infinite


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.650.0-1mdv2010.1
+ Revision: 542920
- import perl-Set-Infinite


* Thu May 06 2010 cpan2dist 0.65-1mdv
- initial mdv release, generated with cpan2dist
